Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## flexjson.factories
Class CharacterObjectFactory

    java.lang.Object
      flexjson.factories.CharacterObjectFactory

All Implemented Interfaces:
  ObjectFactory

    public class CharacterObjectFactory

extends java.lang.Object
implements ObjectFactory

Constructor Summary
`CharacterObjectFactory()`

Method Summary
`java.lang.Object` | `instantiate(ObjectBinder context, java.lang.Object value, java.lang.reflect.Type targetType, java.lang.Class targetClass)` This method is called by the deserializer to construct and bind an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterObjectFactory

    public CharacterObjectFactory()

Method Detail

### instantiate

    public java.lang.Object instantiate(ObjectBinder context,
                                        java.lang.Object value,
                                        java.lang.reflect.Type targetType,
                                        java.lang.Class targetClass)

  Description copied from interface: `ObjectFactory`
  This method is called by the deserializer to construct and bind an object. At the end of this method the object should be fully constructed. `ObjectBinder` can be used to bind values into the object according to default rules. For simple implementations you won't need to use this, but for more complex or generic objects reusing methods like `ObjectBinder.bind(Object, java.lang.reflect.Type)` and `ObjectBinder.bindIntoCollection(java.util.Collection, java.util.Collection, java.lang.reflect.Type)`.

  Specified by:
    `instantiate` in interface `ObjectFactory`
  Parameters:
    `context` - the object binding context to keep track of where we are in the object graph and used for binding into objects.
    `value` - This is the value from the json object at the current path.
    `targetType` - This is the type pulled from the object introspector. Used for Collections and generic types.
    `targetClass` - concrete class pulled from the configuration of the deserializer.
  Returns:
    the fully bound object. At the end of this method the object should be fully constructed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD